Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
PREV NEXT | FRAMES NO FRAMES

## Package org.codehaus.groovy.grails.orm.support

Interface Summary
TransactionManagerAware | @author Graeme Rocher

Class Summary
GrailsTransactionTemplate | Template class that simplifies programmatic transaction demarcation and transaction exception handling.
GrailsTransactionTemplate.ThrowableHolder | Internal holder class for a Throwable, used as a return value from a TransactionCallback (to be subsequently unwrapped again).
GroovyAwareNamedTransactionAttributeSource | @author Graeme Rocher
TransactionManagerPostProcessor | Injects the platform transaction manager into beans that implement TransactionManagerAware.

Exception Summary
GrailsTransactionTemplate.ThrowableHolderException | Internal holder class for a Throwable, used as a RuntimeException to be thrown from a TransactionCallback (and subsequently unwrapped again).

Groovy Documentation